<?php
/**
*
* @package hjw easylanguagechange Extension
* @copyright (c) 2020 hjw
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace hjw\easylanguagechange\migrations;

class v_1_0_3 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['easy_language_change_version']) && version_compare($this->config['easy_language_change_version'], '1.0.3', '>=');
	}

	public static function depends_on()
	{
			return array('\hjw\easylanguagechange\migrations\v_1_0_2');
	}

	public function update_data()
	{
		return array(
			array('config.update', array('easy_language_change_version', '1.0.3')),
			array('config.add', array('easy_language_change_flags', true)),
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_EASYLANGUAGECHANGE_TITLE'
			)),
			array('module.add', array(
				'acp',
				'ACP_EASYLANGUAGECHANGE_TITLE',
				array(
					'module_basename'	=> '\hjw\easylanguagechange\acp\main_module',
					'modes'				=> array('instructions'),
				),
			)),
		);
	}
}
